openapi: 3.0.0
info:
  version: '1.0.0'
  title: 'Todo'
  description: ''
# Added by API Auto Mocking Plugin
servers:
  - description: SwaggerHub API Auto Mocking
    url: https://virtserver.swaggerhub.com/shashishankar/Shashi/1.0.0
tags: 
- name: getTask
  description: "" 
- name: addTask
  description: ""
- name: updateTask
  description: ""
- name: deleteTask
  description: ""
 
  
paths:
  /alltask:
    get:
      tags:
      - getTask
      summary: "See all task"
      responses:
        '200':
          description: "See all task"
          content:
            application/json:
              schema:
                type: object 
                properties:
                  success:
                    type: string   
                    example : true
                  msg:
                    type: string
                    example : All data
                  data:
                    type: array
                    items:
                      type: string
                      example : data  
        "404":       
          description:  "See all task"
          content:
            application/json:
              schema:
                type: object 
                properties:
                  success:
                    type: string   
                    example : true
                  msg:
                    type: string
                    example : Data not found
                 
       
  /addtask:
    post:
      tags:
      - addTask
      summary: "Add Task"
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - task
              properties:
                task:
                  type: string
                  example: buy food
      responses:
        '200':
          description: Data saved
          content:
            application/json:
              schema:
                type: object 
                properties:
                  success:
                    type: string   
                    example : true
                  msg:
                    type: string
                    example : All data
                  data:
                    type: string
                    items:
                      type: string
                      example : buy food
        '404':
          description: All data not provided
        
  /updatetask:
    put:
      tags:
      - updateTask
      summary: "Update Task"
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - id
                - task
              properties:
                Id:
                  type: string
                  example: 5e298b19f8b4240fbfaa15e7
                task:
                  type: string
                  example: TV  
      responses:
        '200':
          description: Data updated
          content:
            application/json:
              schema:
                type: object 
                properties:
                  success:
                    type: string   
                    example : true
                  msg:
                    type: string
                    example : Data update
        '400':
          description: Invalid ID supplied
          content:
            application/json:
              schema:
                type: object 
                properties:
                  success:
                    type: string   
                    example : false
                  msg:
                    type: string
                    example : Something is worng
  /deletetask:
    post:
      tags:
      - deleteTask
      summary: "Delete Task"
      description: ""
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - id
              properties:
                Id:
                  type: string
                  example: 5e298b19f8b4240fbfaa15e7
      responses:
        '200':
          description: Data updated
          content:
            application/json:
              schema:
                type: object 
                properties:
                  success:
                    type: string   
                    example : true
                  msg:
                    type: string
                    example : task deleted
        '400':
          description: Invalid ID supplied
          content:
            application/json:
              schema:
                type: object 
                properties:
                  success:
                    type: string   
                    example : false
                  msg:
                    type: string
                    example : Task not Deleted